#
# spec file for package xterm (Version 229)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base acl atk attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 cairo coreutils cpio cpp cpp42 cracklib cups-libs cvs desktop-translations diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gconf2 gconf2-lang gdbm gettext gettext-devel glib2 glibc glibc-devel glibc-locale glitz grep groff gtk2 gzip hicolor-icon-theme info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libltdl-3 libmudflap42 libopenssl0_9_8 libpng libreadline5 libstdc++42 libtiff3 libtool libuuid1 libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openssl-certs orbit2 pam pam-modules pango patch pcre perl perl-base permissions pkg-config popt post-build-checks rpm sed sysvinit tar texinfo timezone update-desktop-files utempter util-linux xorg-x11 xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           xterm
BuildRequires:  freetype2-devel update-desktop-files utempter xorg-x11 xorg-x11-devel
BuildRequires:  ncurses-devel
Url:            http://invisible-island.net/xterm/
License:        X11/MIT
Group:          System/X11/Utilities
Provides:       xorg-x11:/usr/X11R6/bin/xterm XFree86:/usr/X11R6/bin/xterm
AutoReqProv:    on
Version:        229
Release:        17.2
Summary:        The basic X terminal program
Source:         %name.tar.bz2
Source1:        luitx
Source3:        Backarrow2Delete
Source4:        Backarrow2BackSpace
Source5:        README.SuSE
Source6:        terminal.png
Source7:        vttest.tar.gz
Source8:        20x20ja.bdf.bz2
Source9:        20x20ko.bdf.bz2
# Snoop for the escape sequence assignment of the keypad
Source20:       snooper.tar.bz2
Patch1:         p_xterm-settings.diff  
Patch2:         p_xterm-sigwinch.diff
Patch3:         bug-246573-tentative-patch.diff
Patch4:         desktop.diff
Patch293793:    bugzilla-293793-do-not-insist-on-iso8859-fonts-for-the-menu.patch
Patch5:         p_xterm-CVE-2008-2383-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the basic X.Org terminal program.



Authors:
--------
    Thomas E Dickey 
    Adam Sulmicki
    Alan Hourihane
    Alexander Pohoyda
    Alexander V Lukyanov
    Andrew Sumner
    Andrew Tipton
    Anton Kovalenko
    Ben Yoshino
    Bernhard Rosenkraenzer
    Bill Nottingham
    Bob Maynard
    Bradd W. Szonye
    Bram Moolenaar
    Bruno Haible
    Christian Biere
    Christian Weisgerber
    Chuck Blake
    D Roland Walker
    David Dawes
    David Madore
    David Martinez Moreno
    David Mathog
    David Yeo
    Dennis Schneider
    Derek Foreman
    Dr Werner Fink
    Eddy De Greef
    Egbert Eich
    Emanuele Giaquinta
    Eugene Konev
    Fabrice Bellard
    Frank Giessler
    Frank Guangxin Liu
    Frank Liu
    Gael Roualland
    George Peter Staplin
    Greg Klanderman
    Greg Smith
    H Merijn Brand
    Harold Hunt  
    Holger Veit  
    Ilya Zakharevich
    Jason Vas Dias
    Jeff Uphoff
    Jens Schweikhardt
    Jeremy Buhler
    Jeroen Ruigrok 
    Jess Thrysoee 
    Joe Allen   
    Juergen Keil   
    Juliusz Chroboczek  
    Jungshik Shin
    Kean Johnston  
    Keith Packard
    Ken Martin  
    Kevin Buhr
    Kiyokazu Suto
    Larry Riedel
    Lee Olsen
    Marc La France
    Mark Waggoner 
    Markus Kuhn  
    Matthias Scheler
    Matthieu Herrb
    Michael Rohleder
    Michael Schroeder
    Mike Fabian   
    Mike Hopkirk
    Min Sik Kim
    Nam SungHyun  
    Nelson Beebe
    Nicolas George 
    Paul Gilmartin
    Paul Giordano 
    Paul Szabo   
    Paul Vojta   
    Paul Williams   
    Pavel Roskin  
    Peter Berg Larsen
    Peter Chubb
    Phil Sidler  
    Ray Neuman
    Richard Griswold
    Robert Brady
    Robert Earl    
    Robin Cutshaw
    Ross Paterson
    Sam Stephenson 
    Scott Sewall 
    Semen A Ustimenko
    Sergei Laskavy
    Steve Wall   
    Stuart Lissaman
    Suhaib Siddiqi
    Sven Verdoolaege
    Taneli Huuskonen
    Tim Adye     
    Todd Larason
    Todd Miller   
    Tomasz Cholewo  
    Tomohiro Kubota  
    Tor Lillqvist 
    Torrey T. Lyons
    Yong Li
    Zarick Lau

%debug_package
%prep
%setup -q -n xterm-%version -b7
%patch1 -p0 -b .xterm-settings
%patch2 -p0 -b .xterm-sigwinch
%patch3 -p1
%patch4 -p0
%patch293793 -p1
%patch5 -p1
cp $RPM_SOURCE_DIR/*bdf.bz2 .
bunzip2 *.bdf.bz2

%build
%configure --enable-256-color \
           --enable-dec-locator \
           --enable-hp-fkeys \
           --enable-luit \
           --enable-mini-luit \
           --enable-sco-fkeys \
           --enable-wide-chars \
           --with-utempter \
           --with-app-defaults=/usr/share/X11/app-defaults
make
pushd ../vttest-20050107
  %configure
  make
popd
if [ ! -x /usr/bin/bdftopcf ] ; then exit 1; fi
for i in *.bdf
do
    /usr/bin/bdftopcf $i | gzip -9 > `basename $i .bdf`.pcf.gz
done

%install
make install DESTDIR=$RPM_BUILD_ROOT
if [ -d /usr/share/fonts ]; then
  mkdir -p $RPM_BUILD_ROOT/usr/lib/X11/etc/
  install -m 644 terminfo $RPM_BUILD_ROOT/usr/lib/X11/etc/xterm.terminfo
  install -m 644 termcap  $RPM_BUILD_ROOT/usr/lib/X11/etc/xterm.termcap
else
  mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/etc/
  install -m 644 terminfo $RPM_BUILD_ROOT/usr/X11R6/lib/X11/etc/xterm.terminfo
  install -m 644 termcap  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/etc/xterm.termcap
fi
pushd ../vttest-20050107
  make install DESTDIR=$RPM_BUILD_ROOT
popd
install -m 755 $RPM_SOURCE_DIR/luitx $RPM_BUILD_ROOT/usr/bin
install -m 755 $RPM_SOURCE_DIR/Backarrow2Delete $RPM_BUILD_ROOT/usr/bin
install -m 755 $RPM_SOURCE_DIR/Backarrow2BackSpace $RPM_BUILD_ROOT/usr/bin
install -m 644 $RPM_SOURCE_DIR/README.SuSE .
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 $RPM_SOURCE_DIR/terminal.png \
  $RPM_BUILD_ROOT/usr/share/pixmaps
if [ -d /usr/X11R6/lib/X11/fonts/misc ]; then
  mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
  install -m 644 *.pcf.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
else
  mkdir -p $RPM_BUILD_ROOT/usr/share/fonts/misc/
  install -m 644 *.pcf.gz $RPM_BUILD_ROOT/usr/share/fonts/misc/
fi
%suse_update_desktop_file -i xterm TerminalEmulator
if [ -d $RPM_BUILD_ROOT/usr/share/fonts/misc ]; then
  cat > files.xterm << EOF
%dir /usr/lib/X11/etc
%dir /usr/share/fonts/misc/
/usr/lib/X11/etc/xterm.termcap
/usr/lib/X11/etc/xterm.terminfo
/usr/share/X11/app-defaults/XTerm
/usr/share/X11/app-defaults/UXTerm
/usr/share/X11/app-defaults/XTerm-color
/usr/share/fonts/misc/20x20ja.pcf.gz
/usr/share/fonts/misc/20x20ko.pcf.gz
EOF
else
  cat > files.xterm << EOF
%dir /usr/X11R6/lib/X11/etc
/usr/X11R6/lib/X11/app-defaults/UXTerm
/usr/X11R6/lib/X11/app-defaults/XTerm
/usr/X11R6/lib/X11/app-defaults/XTerm-color
/usr/X11R6/lib/X11/etc/xterm.termcap
/usr/X11R6/lib/X11/etc/xterm.terminfo
/usr/X11R6/lib/X11/fonts/misc/20x20ja.pcf.gz
/usr/X11R6/lib/X11/fonts/misc/20x20ko.pcf.gz
EOF
fi

%post
%run_suseconfig_fonts

%postun
%run_suseconfig_fonts

%clean
rm -rf $RPM_BUILD_ROOT

%files -f files.xterm
%defattr(-,root,root)
%doc README README.i18n README.SuSE
/usr/bin/xterm
/usr/bin/vttest
/usr/bin/luitx
%attr(755,root,root) /usr/bin/xterm
/usr/bin/resize
/usr/bin/uxterm
/usr/bin/Backarrow2Delete
/usr/bin/Backarrow2BackSpace
/usr/share/man/man1/xterm.1.gz
/usr/share/man/man1/resize.1.gz
%{_mandir}/man1/vttest.1.gz
/usr/share/applications/xterm.desktop
/usr/share/pixmaps/*

%changelog
* Wed Jan 07 2009 - meissner@suse.de
- backported security relevant changes from xterm-238
  to fix command injection by ANSI Escape sequences bnc#462917
  CVE-2008-2383
* Wed Sep 19 2007 - sndirsch@suse.de
- set foreground color as well; fixes xterm -rv (Bug #283984)
* Fri Aug 31 2007 - mfabian@suse.de
- Bugzilla #306943: add xorg-x11 to BuildRequires because of
  ‘bdftopcf’. Let the build fail if ‘bdftopcf’ is missing.
- change app-defaults to use these fonts for wide characters
  when the 10x20 font is used.
- bzip2 source tarball.
* Mon Aug 27 2007 - sndirsch@suse.de
- added '*metaSendsEscape: true' to app defaults (Bug #300331)
* Mon Aug 13 2007 - sndirsch@suse.de
- update to xterm-229:
  * override locale in minstall.sh; change in [233]patch #226 does
  not work in UTF-8 locale (report by Zdenek Sekera).
  * undo an incorrect fix for a memory leak in [234]patch #209
  (Debian #435858).
* Sat Aug 11 2007 - sndirsch@suse.de
- changed icon to a transparent one (Bug #299596)
* Tue Jul 24 2007 - mfabian@suse.de
- update to xterm-228.
  * modify  configure  script  to permit combining --with-utempter and
    --enable-setuid,  e.g.,  for using xterm with the utempter library
  on FreeBSD (report by Andriy Gapon).
  * modify  "Quit"  menu  entry  to  override  the  -hold command-line
  option.
  * add  a  check  in  the startup error-reporting to avoid writing to
  pipe  when  it  has  not  been opened. In that case, report errors
  directly to the standard error.
  * add   OPT_READLINE   definition  to  xtermcfg.hin,  overlooked  in
  [232]patch #205 (report by Kalle Olavi Niemitalo).
  * modify 88colors2.pl and 256colors2.pl, adding -r option to reverse
  the palettes for the extended colors.
  * check for partial overwrite or deletion of multi-column characters
  in  several cases, e.g., insert-character, delete-character, etc.,
  and  fill  the  remainder  of  the  cells used by the multi-column
  characters affected with blanks.
  * correct   character-class   codes   in   wide-character  mode  for
  characters 215, 247 (see also [233]patch #165).
  * fix  missing assignment for UTF-8 parsing in widget initialization
  (Debian #403360).
  * correct  index  expression  used to set line-wrapping flag, making
  selection  from  scrollback  work  consistently  (Debian  #430121,
  report by Vincent Lefevre).
  * amend  changes  to  handshake  in [234]patch #226 to accommodate
  Solaris,  which  relies  on the extra setting of the terminal size
  after   I/O   initialization.  Do  this  by  adding  new  resource
  ptySttySize,  which is false for Linux and MacOS X, i.e., true for
  for  Solaris and other SVR4 platforms, as well as FreeBSD (reports
  by David Wood, Renato Botelho).
  * check  for  X  events  after  cursor-left,  and  carriage  return,
  consistent with indexing operations (comments by Vegard Nossum and
  Ingo Molnar on a mailing-list).
  * initialize  the  .keyboard  structure,  needed  for some platforms
  (such as Solaris) after [235]patch #227 fixes for keysyms (patch
  by David Wood).
  * update config.guess, config.sub
- Bugzilla #293793: avoid requiring the an iso8859* version of
  adobe-helvetica for the menus. The menus are ASCII only anyway at
  the moment, it doesn't matter at all whether a Unicode font
  (iso10646-1) or any of the iso8859* fonts is used, they are all
  identical in the ASCII region anyway.
  Using the iso* wildcard makes xterm work even if the recoded
  versions of the bitmap fonts are missing in a minimal installation
  and only the Unicode versions are there.
* Thu Jul 12 2007 - werner@suse.de
- no longer overwrite translation for the key ALT, use altIsNotMeta
  to leave it for users choise using Meta or Alt mode (bug #262330)
- add snooper to the sources which enables to seek for character
  sequences used by e.g. xterm in Alt mode (bug #262330)
* Mon Jul 09 2007 - sndirsch@suse.de
- no longer package /usr/share/pixmaps to fix build
* Sat Jun 30 2007 - sndirsch@suse.de
- Patch #227 - 2007/6/27
- obsoletes xterm-225k.patch
* Thu Jun 14 2007 - sndirsch@suse.de
- xterm-225k.patch:
  * restore  a special case for cursor-color in ReverseVideo() lost
  in rewrite for patch #224 (report by Adam Sulmicki).
  (Bug #283984)
* Thu Mar 29 2007 - dmueller@suse.de
- add ncurses-devel BuildRequires
* Sat Mar 24 2007 - sndirsch@suse.de
- Patch #225 - 2007/3/24:
  * add useClipping resource to allow clipping to be disabled.
  * use   XftDrawSetClipRectangles  to  work  around  Xft  pixel-trash
  (report by Reuben Thomas).
  * add    configure    option   --enable-tcap-fkeys,   and   resource
  tcapFunctionKeys,   which  can  be  used  to  tell  xterm  to  use
  function-key  definitions  from the termcap (or terminfo) which it
  uses to set $TERM on startup.
  * add  resources altIsNotMeta and altSendsEscape to allow one to use
  Alt-keys  like  the  meta-key  even if they are bound to different
  keycodes (prompted by discussion with Daniel Jacobowitz).
  * revert a change from [229]patch #216 that unnecessarily made the
  meta  modifier override the eightBitInput resource if the alt- and
  meta-modifiers   happened   to  overlap  (report/patch  by  Daniel
  Jacobowitz).
  * correct  associated  font for active icon for colored text (broken
  in [230]patch #224).
  * correct ifdef's for Darwin (patch by Emanuele Giaquinta).
  * add  highlightTextColor  resource, and options -selfg, -selbg like
  xwsh (adapted from patch by Victor Vaile).
  * revise  find_closest_color()  function  to  address  concern about
  borrowing from Tcl/Tk (request by Dan McNichol).
  * add  "spawn-new-terminal"  action,  which  can  be assigned to key
  translation,  allowing  one to spawn a new copy of xterm using the
  current  process'  working directory (adapted from patch by Daniel
  Colascio).
  * improve  select/paste  between UTF-8 and Latin1 xterms by adapting
  the  translations  from  [231]patch #185. Extend that to include
  Unicode fullwidth forms FF00-FF5E. Also modify select/paste of DEC
  line-drawing characters in Latin1 mode to use ASCII characters.
  * add  "Enable  Bell  Urgency"  to  VT Options menu, removed "Enable
  Margin Bell".
  * add  bellIsUrgent  resource to control whether the Urgency hint is
  set/reset.
  * modify  to  set  Urgency  window manager hint on bell, reset it on
  Focus-In event (patch by Emanuele Giaquinta).
  * add   --disable-setgid   configure  option  (request  by  Miroslav
  Lichvar).
  * fix  a  possible  infinite loop in last change to dabbrev-expand()
  (patch by Emanuele Giaquinta).
  * modify  initialization  to set the pty erase value if the erase is
  set  in  the ttyModes resource. This overrides the ptyInitialErase
  setting (request by Lluis Batlle i Rossell).
  * add  initialFont resource to xterm widget, like tek-widget (Debian
  [#299669]).
  * amend change to boldMode from [232]patch #223 for Debian #347790.
  As  noted  in  Debian #412599, that made xterm no longer match the
  documented  behavior.  Add  new  resource  alwaysBoldMode to allow
  overriding  the comparison between normal/bold fonts when deciding
  whether to use overstriking to simulate bold fonts.
  * restore  background  color  in  ClearCurBackground(),  omitted  in
  changes for [233]patch #223 (report by Miroslav Lichvar).
  * correct  logic  for  repainting  double-width  TrueType characters
  (prompted by test-case for Novell #246573).
  * add  a  check  to  avoid  trying  to  repeat a multibyte character
  (report by Sami Farin).
  * modify  parameter  to  XftNameParse()  to select wide face-name as
  needed,  to  make  -fd  option  work (patch by Mike Fabian, Novell
  [#246573]).
  * correct  logic  for  mouse  highlight  tracking's  abort sequence,
  broken  in  a  restructuring  modification  from [234]patch #224
  (report by Thomas Wolff).
  * revert the simplification of blinking cursor, since that broke the
  xor'ing introduced in [235]patch #193 (report by Thomas Wolff).
- obsoletes xterm-224i.patch
* Thu Mar 22 2007 - mfabian@suse.de
- add ftp://invisible-island.net/temp/xterm-224i.patch
  (obsoletes fix-fd_option.diff and fixes the redraw problems
  for double width characters mentioned in bug #246573).
- adapt patch a little bit to make it build with --with-utempter.
* Mon Feb 26 2007 - sndirsch@suse.de
- bug-246573-tentative-patch.diff:
  * simplify algorithm for verifying that a font contains double
  width characters (Bug #246573, comment #53/54)
* Wed Feb 21 2007 - sndirsch@suse.de
- fix-fd_option.diff:
  * finally fixes double-width support (Bug #246573)
* Sat Feb 17 2007 - sndirsch@suse.de
- enabled double-width support; switched to configure (Bug #246573)
* Mon Feb 12 2007 - sndirsch@suse.de
- updated to xterm-224 (2007/02/11)
  * simplify code for set/reset mode for blinking cursor (patch by
  Emanuele Giaquinta).
  * modify  dabbrev-expand() to restart after the last match (patch by
  Emanuele Giaquinta).
  * add  control  sequences  for enabling/disabling focus in/out event
  reporting (request by Bram Moolenaar).
  * improve  startup  performance  of menus by adding resource setting
  menuLocale which can be set to override X's lengthy initialization
  of  fontsets  -  which  are  seldom  used  for the Xaw popup menus
  (adapted by patch by Dave Coffin).
  * modify  do_precomposition() function and make-compose.sh to handle
  21-bit codes vs the 16-bit codes those were written for, and fix a
  few mis-sorted codes (patch by Thomas Wolff).
  * handle  special  case  in  -cjk_width  which unexpectedly caused a
  character's  width  to change when a combining character (patch by
  Thomas Wolff)
  * fix build for GNU/KFreeBSD (Debian #40111).
  * consolidate GC creation/updating into a single module to reduce GC
  manipulation  (prompted  by  Debian #389476, though a complete fix
  would involve optimizing the scrolling behavior).
  * fix  ifdef  of  xtermCellWidth(),  which  broke for a case without
  TrueType  and  without  wide-character  support  (report by Martin
  Pirker).
  * undo a comparison in handle_translated_exposure which did not work
  due  to  X server optimization. That caused the inner border to be
  repainted  with  unexpected  colors when handling a repaint, e.g.,
  after  switching to/from another workspace (Debian #401726, Redhat
  Bugzilla #223027).
  * allow  -cr option to override cursor color when -ah option is used
  (Debian #406502).
  * add  a  note  in  xterm's  manpage explaining that the -bw (or -w)
  option  is  only  used  by  the  window manager, if at all (Debian
  [#405043]).
  * make Selection of VT Fonts work with selectToClipboard resource.
  * correct  length  calculation for Selection entry of VT Fonts menu,
  broken since it ignored the actual selection length since X11R4.
  * fixes  for  fontsize  changes  with  -fa  option  (Redhat Bugzilla
  [#222340]).
* Fri Dec 01 2006 - sndirsch@suse.de
- updated to xterm-223 (2006/11/30)
  * add   --enable-rectangles  configure  option  (request  by  Martin
  Pirker).
  * correct default value for --with-symlink configure option.
  * fixes configure script macros that use $X_EXTRA_LIBS.
  * modify  configure script to provide support for pre-package config
  versions of Xft (FreeType).
  * add  the Xaw scrollbar translations resource to the xterm manpage,
  add  an example showing how to change the mouse button assignments
  (Debian #382225).
  * amend a change from [227]patch #216, which omitted modifiers for
  control,  meta, etc., if they were mixed with any other modifiers.
  The   intent   of   the   change   was  to  avoid  confusion  with
  XK_Mode_switch  and  XK_ISO_Level3_Shift;  the  check  is now done
  explicitly (report by Daniel Jacobowitz).
  * interpret    a    negative    value    for   modifyCursorKeys   or
  modifyFunctionKeys  resources  to  disable the respective features
  (prompted by Novell #220728).
  * amend  cell-width computation for FreeType from [228]patch #217,
  which  did  not  work  for  VT100  line-drawing characters (Debian
  [#399638], GenToo #147111).
  * amend a change from [229]patch #216, which made alt-modifier on a
  cursor-key send a modifier parameter (Novell #220728).
  * correct  an  off-by-one that made DECCRA not work (report/patch by
  Martin Pirker).
  * revert an optimization in SGR_Foreground() and SGR_Background from
  [230]patch #209 (Debian #347722, analysis by Pierre Lombard).
  * fix for boldMode (Debian #347790, patch by Tim Pope).
  * amend  fix  for  -iconic  in  [231]patch  #208,  which broke the
  positioning part of -geom with toolbar configuration.
  * fix  to  prevent  indexing  error in regular expressions (patch by
  Dennis Schneider).
  * fixes  to  make  the  internalBorder  area not change color due to
  reverseVideo and/or related exposure events. The latter was a very
  old bug exposed in [232]patch #196 (report by Neil Hoggarth, also
  Debian #397624).
- obsoletes bug220728.diff
* Tue Nov 28 2006 - sndirsch@suse.de
- bug220728.diff:
  * Essentially the problem reported is that xterm #216 does a more
  complete job of applying modifier parameters to cursor-,
  function- and other keys. Some users would like to disable the
  feature. Patch to allow modifyCursorKeys to be disabled.
  Currently the resource accepts values 0 to 3. This adds a -1 to
  disable the feature. Most users won't want to do this.
  (Bug #220728)
* Wed Oct 18 2006 - sndirsch@suse.de
- updated to xterm-222
  * minor optimization for recoloring cursor via dynamic colors.
  * fix  a  bug  caused  by restructuring of tek4014 widget
  (report by Paul Schenkeveld)
* Mon Oct 09 2006 - sndirsch@suse.de
- updated to xterm-221
  * fix  for  regular expressions: the code which converted the column
  offset within a line did not check properly for the end of a line,
  and if allowed to match the whole line, would select the beginning
  of  the  following line. If the following line were empty, in turn
  it   would   select   from   the   next,   etc.  (report  by  Sean
  Reifschneider).
  * minor  optimization  of  color  allocation to avoid repainting the
  screen if the corresponding color had not been allocated.
  * fixes for vttests/256colors.pl (report by Egmont Koblinger).
  * add  terminfo  building  block  entries for modifiers of the 6-key
  editing keypad.
  * fix for initialization of tek4014 which broke on QNX 6.1
* Mon Sep 11 2006 - sndirsch@suse.de
- fixed luit/luitx path (Bug #204861)
* Mon Sep 11 2006 - sndirsch@suse.de
- updated to xterm-220
  * make  "xterm  -t -iconic" work as expected, i.e., start in
  tek4014 mode, but iconified.
* Tue Sep 05 2006 - sndirsch@suse.de
- updated to xterm-219
  * some internal restructuring to separate data for vt100 and tek4014
  widgets.
  * fix  a  few  cases  where  form-events  would be seen by the vt100
  widget when built with the toolbar configuration.
* Tue Aug 29 2006 - sndirsch@suse.de
-  updated to xterm-218
  * change behavior when encountering an illegal character in a
  title string. Rather than reject the string, translate
  illegal characters into "?" and use the string (requested by
  Thomas Wolff).
  * improve checks for nonprinting characters in title strings
  (report by Samuel Thibault).
  * correct typo in menu labels, changing print-redirect to
  print-redir, making it follow the manpage and match the
  usage for the actions table (report by Samuel Thibault).
  * correct a typo that prevents building with some older systems
  such as Solaris 2.6 (report by Julian Bridle).
* Tue Aug 22 2006 - sndirsch@suse.de
- updated to xterm-217
  * minor improvements to FreeType font layout and drawing.
  * add  a  check  in  the  ptyInitialErase  logic  to ensure that
  the termcap was read (Redhat Bugzilla #201246).
  * limit  changes  for  reverse-video from patch #216 to cases
  where  the  reverse-video  command-line  option is used (report
  by Zdenek Sekera).
  * correct  bitmap-derived pointsizes for TrueType fonts; they
  should be  proportional  to  the  square  root  of the area of
  the bitmap fonts.
  * add  resources  to specify pointsize of TrueType fonts (request
  by Reuben Thomas).
  * improve  install  of  terminfo  by filtering out harmless
  messages related  to  extended  capabilities. At the same time,
  use ncurses tic  to  compile  the extended capabilities if
  possible (report by Zdenek Sekera).
  * update "xterm+pcfkeys" terminfo entry to correspond to patch
  [#216].
* Wed Aug 16 2006 - aj@suse.de
- Remove unneeded BuildRequire on xorg-x11.
* Wed Aug 09 2006 - sndirsch@suse.de
- fixed /usr/share/fonts directory conflict with filesystem
* Fri Aug 04 2006 - sndirsch@suse.de
- updated to xterm-216
  * improve handling of ConfigureNotify events by checking if there are
  further events in the queue which obsolete the current one (adapted
  from   rxvt   2.7.5).   Only   the   normal   normal  (non-toolbar)
  configuration is addressed in this patch.
  * several changes to terminfo:
  + incorporate some minor changes from ncurses to help keep these
  synchronized:
  2005-02-26
  modify  sgr/sgr0  in  xterm-new to improve tgetent's
  derived "me".
  2006-02-18
  remove ncv flag from xterm-16color
  2006-06-24
  improve  xterm-256color  by  combining  the 16-color
  setaf/setab  strings with SGR 48, and cancelling the
  setf/setb strings.
  + use extended function-key definitions for xterm-sun, xterm-sco
  entries.
  + add    terminfo    building-blocks    corresponding   to   the
  modifyFunctionKeys and modifyCursorKeys resources.
  * ifdef'd  Sun  function-key feature to make it optional, like HP and
  SCO.
  * extend  table  for  termcap-query  feature through F63, and updated
  tcapquery.pl to match.
  * modify  logic  for  function-key input processing to allow function
  key  numbers  which are constructed by control- and shift-modifiers
  to extend beyond X's hardcoded limit of 35.
  * add control sequence to set or reset the eightBitInput resource.
  * change  default  resource  modifyFunctionKeys to 2 to avoid sending
  SS3 with parameters (report by Kalle Olavi Niemitalo).
  * add  control  sequences for setting and resetting the values of the
  modifyCursorKeys, modifyFunctionKeys and modifyOtherKeys resources.
  * add modifyFunctionKeys resource like modifyCursorKeys. Setting this
  to  zero  allows  one  to  use  the control- and shift-modifiers to
  construct  function  key strings, for terminals using many function
  keys, e.g., for xterm-sun or xterm-sco.
  * modify screen responses and function-key logic to reduce the number
  of  writes  made,  to make it less likely that an application would
  read  only part of a function-key in a read operation (suggested by
  John E Urbanczyk).
  * add  combiningChars  resource, which allows the user to specify the
  maximum  number  of  combining characters that xterm will store for
  each  cell  in  wide-character  mode (prompted by request by Markus
  Kuhn to increase the limit from 2).
  * improve logic in metaSendsEscape in case the Alt- and Meta-keys are
  mapped  to  different modifiers. That allows one to use the Alt-key
  for  shifting  in  the eightBitInput and use a Meta-key modifier to
  prefix the result with an <ESC>.
  * improve  modifyCursorKeys  logic to prevent it from modifying codes
  where  eightBitInput  or  metaSendsEscape  are  set (request by Dan
  Nicolaescu).
  * improve modifyCursorKeys logic to prevent it from changing the user
  input when other modifiers such as AltGr are used (report by Thomas
  Wolff).
  * extend  modifyCursorKeys  to  include  the  numeric  keypad when in
  application mode.
  * improve  -reverse  (-rv)  option  (patch  by Jason Vas Dias, Redhat
  [#189161]).
  * workaround  for  color resources on Fedora-5 which made the toolbar
  colors inconsistent.
  * corrected  calls  used  for  --disable-setuid option, add debugging
  traces to help diagnose this area.
  * modify  configure  script to ensure that USE_UTMP_SETGID is defined
  only  if  the check for POSIX saved-ids succeeds, or corresponds to
  one of the BSD systems known to have a workable setegid function.
  * extend configure check for POSIX saved-ids to include BSD systems
  * modify  CF_SYSV  configure  macro  to  work with gcc on HPUX 10.20,
  whose broken <term.h> relies on including <termios.h>.
  * change  order of setuid/setgid ifdef checks in Imakefile to make it
  simpler  to  produce  a  setgid  install,  allowing  the  latter to
  override the former (prompted by an XFree86 commit).
  * adapt  a  fix  for  setgid  support from subsequent XFree86 changes
  (patch by Emanuele Giaquinta).
  * further improve setgid support (patches by Emanuele Giaquinta).
* Fri Jul 28 2006 - sndirsch@suse.de
- use "-fno-strict-aliasing"
* Mon Jul 24 2006 - sndirsch@suse.de
- fixed build for X.Org 7
* Tue Jun 20 2006 - sndirsch@suse.de
- updated to xterm-215
  * various fixes
* Mon Jun 19 2006 - sndirsch@suse.de
- updated to xterm-214
  * various fixes
* Mon May 01 2006 - sndirsch@suse.de
- updated to xterm-213
  * obsoletes utf8-title-resource.patch
* Sat Apr 15 2006 - sndirsch@suse.de
- updated to xterm-212
  * obsoletes p_xterm_dotext-loop.diff
- using new utf8Title resource (Bug #52655)
* Mon Feb 13 2006 - werner@suse.de
- Avouid possible endless loop fix in dotext() at wrapping wide
  characters
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 04 2006 - sndirsch@suse.de
- updated to xterm-208
* Tue Nov 15 2005 - sndirsch@suse.de
- updated to xterm-207
- adjusted patches
* Thu Oct 06 2005 - mfabian@suse.de
- Bugzilla #49305: add 20x20{ja,ko} fonts generated from
  18x18{ja,ko} with the script "bdf18to20" from the mined package.
  This is a workaround to make the popular 10x20 font work with
  CJK until xterm is improved to become able to pad fonts
  on the fly.
* Mon Sep 19 2005 - sndirsch@suse.de
- updated to xterm-205
  [...]
  * modify computation of rows/columns on resize to avoid extending
  beyond the given limits, e.g., if resizing in response to a
  "maximize" in Gnome or KDE which do not use the window manager
  hints for this case (Debian #289123, Novell #61153).
  * fixes for Novell #113277:
    - specify weight for wide font which may be derived from normal
  fontname.
    - cache the derived wide- and widebolt-fontnames.
- obsoletes bugzilla-99564.patch
* Sat Aug 27 2005 - sndirsch@suse.de
- added vttest; useful for testing terminals
* Fri Aug 26 2005 - sndirsch@suse.de
- back to xterm-203 + bugzilla-99564.patch (Bug #113277)
* Sun Aug 07 2005 - sndirsch@suse.de
- updated to xterm-204
  [...]
  * correct variable used to store temporary result from lookup of
  bold font, when initializing the wide-bold-font data and no
  immediate match is found by asking for a bold variant of the
  wide-font. The result was to use overstriking rather than the
  actual bold font (Debian #318162, patch by Eugene Konev).
  --> obsoletes mfabian's patch mentioned below
* Mon Aug 01 2005 - mfabian@suse.de
- Bugzilla #99564: fix the problem that bold fonts were not
  used unless the resource boldMode was set to "false".
* Wed Jul 27 2005 - werner@suse.de
- Re-enable SIGWINCH for linux even if struct winsize is used, due
  to the fact that sometime a sleeping process in the process group
  do not get the appropiate information by the ioctl TIOCSWINSZ.
* Wed Jul 13 2005 - sndirsch@suse.de
- updated to xterm-203
* Fri May 13 2005 - sndirsch@suse.de
- use norootforbuild
* Thu May 12 2005 - meissner@suse.de
- use RPM_OPT_FLAGS
* Tue May 03 2005 - sndirsch@suse.de
- updated to xterm-202
* Fri Apr 22 2005 - sndirsch@suse.de
- updated to xterm-201
- adjusted p_xterm-settings.diff
* Thu Mar 24 2005 - sndirsch@suse.de
- added missing xterm/resize manual pages (Bug #74467)
* Sun Feb 06 2005 - sndirsch@suse.de
- updated to xterm-200
* Fri Jan 28 2005 - sndirsch@suse.de
- updated to xterm-199
* Fri Jan 14 2005 - sndirsch@suse.de
- updated to xterm-198
* Thu Dec 02 2004 - sndirsch@suse.de
- p_xterm-config.diff:
  * HAVE_LANGINFO_CODESET needs to be set in xtermcfg.h
* Wed Dec 01 2004 - sndirsch@suse.de
- updated to xterm-197:
  * obsoletes p_xterm_iutf8.diff, p_xterm_noluit.diff
  * adjusted p_xterm-config.diff: OPT_LUIT_PROG/OPT_MINI_LUIT needs
  to be set in xtermcfg.h
  * updated TODO
* Tue Nov 16 2004 - sndirsch@suse.de
- added missing xterm icon file (terminal.png, converted from
  xterm_32x32.xpm included by icewm)
* Tue Oct 26 2004 - sndirsch@suse.de
- added Backarrow2Backspace, Backarrow2Delete, README.SuSE
* Sun Oct 24 2004 - sndirsch@suse.de
- added TODO
* Sat Oct 23 2004 - sndirsch@suse.de
- created package
